# QRegExp Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QRegExp()
- void QRegExp(QRegExp rx)
- void QRegExp(String pattern, CaseSensitivity cs, PatternSyntax syntax)

### Constructor Properties

- prototype: The QRegExp prototype object
- String escape(String str)
- RegExp
- Wildcard
- FixedString
- RegExp2
- WildcardUnix
- W3CXmlSchema11
- PatternSyntax( value )
- CaretAtZero
- CaretAtOffset
- CaretWontMatch
- CaretMode( value )

### Prototype Object Properties

- String cap(int nth)
- int captureCount()
- List capturedTexts()
- CaseSensitivity caseSensitivity()
- String errorString()
- bool exactMatch(String str)
- int indexIn(String str, int offset, CaretMode caretMode)
- bool isEmpty()
- bool isMinimal()
- bool isValid()
- int lastIndexIn(String str, int offset, CaretMode caretMode)
- int matchedLength()
- int numCaptures()
- bool operator_equal(QRegExp rx)
- String pattern()
- PatternSyntax patternSyntax()
- int pos(int nth)
- void readFrom(QDataStream in)
- void setCaseSensitivity(CaseSensitivity cs)
- void setMinimal(bool minimal)
- void setPattern(String pattern)
- void setPatternSyntax(PatternSyntax syntax)
- void swap(QRegExp other)
- void writeTo(QDataStream out)

### Instance Properties

QRegExp objects have no special properties beyond those inherited from the QRegExp prototype object.